RegistroEstudiante.Web/Models/SaludarViewModel.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace RegistroEstudiante.Web.Models
{
    public class SaludarViewModel
    {
        public string MensajeSaludo { get; set; }
        public string Nombre { get; set; }
        public string Apellido { get; set; }
    }
}

RegistroEstudiante.Web/Controllers/EstudiantesController.cs
using RegistroEstudiantes.Data;
using RegistroEstudiantes.Data.Servicios;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace RegistroEstudiante.Web.Controllers
{
    [Authorize]
    public class EstudiantesController : Controller
    {
        private readonly IEstudiantesService service;

        // GET: Estudiantes

        public EstudiantesController(IEstudiantesService service)
        {
            this.service = service;
        }

        public ActionResult Index()
        {
            var lista = service.Listar();

            return View(lista);
        }

        public ActionResult Details(int Id)
        {
            var estudiante = service.GetById(Id);

            if (estudiante == null)
            {
                return View("EstudianteNoEncontrado");
            }
            return View(estudiante);
        }

        public ActionResult EstudianteNoEncontrado()
        {
            return View();
        }

        void LLenarSexos()
        {
            var sexos = new List<SelectListItem>
            {
                new SelectListItem { Value = "X", Text = "Seleccione" },
                new SelectListItem { Text = "Femenino", Value = "F" },
                new SelectListItem { Value = "M", Text = "Masculino" }
            };

            ViewBag.Sexos = sexos;
        }

        [HttpGet]
        public ActionResult Create()
        {
            LLenarSexos();

            return View();
        }

        [HttpPost]
        public ActionResult Create(Estudiante estudiante)
        {
            LLenarSexos();

            if (estudiante.Sexo == "X")
            {
                ModelState.AddModelError("Sexo", "Favor especifique el sexo del estudiante");
            }

            if (ModelState.IsValid)
            {
                //service.Crear(estudiante);
                //service.CrearSp(estudiante);

                var viPrintAdo = new ViPrintAdo();

                viPrintAdo.InsertarEstudiante(estudiante);
                return RedirectToAction("Details", new { Id = estudiante.Id });
            }

            return View();
        }

        [HttpGet]
        public ActionResult Edit(int Id)
        {
            LLenarSexos();

            var estudiante = service.GetById(Id);

            return View(estudiante);
        }

        [HttpPost]
        public ActionResult Edit(Estudiante estudiante)
        {
            if (estudiante.Sexo == "X")
            {
                ModelState.AddModelError("Sexo", "Favor especifique el sexo del estudiante");
            }

            if (ModelState.IsValid)
            {
                service.Modificar(estudiante);
                TempData["Mensaje"] = "El estudiante fue modificado";
                return RedirectToAction("Details", new { Id = estudiante.Id });
            }

            return View();
        }

        [HttpGet]
        public ActionResult Delete(int Id)
        {
            var estudiante = service.GetById(Id);

            return View(estudiante);
        }

        [HttpPost]
        public ActionResult Delete(int Id, FormCollection form)
        {
            var estudiante = service.GetById(Id);

            service.Eliminar(estudiante);

            return RedirectToAction("Index");
        }
    }
}

RegistroEstudiante.Web/Controllers/HomeController.cs
using RegistroEstudiantes.Data.Context;
using RegistroEstudiantes.Data.Servicios;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace RegistroEstudiante.Web.Controllers
{
    [Authorize]
    public class HomeController : Controller
    {
        IEstudiantesService service;

        public HomeController(IEstudiantesService service)
        {
            this.service = service;
        }

        public ActionResult Index()
        {
            var lista = this.service.Listar();

            TempContext tempContext = new TempContext();
            ViPrintAdo tempAdo = new ViPrintAdo();

            try
            {
                //var productos = tempContext.catalogos.ToList();
                //ViewBag.Catalogo = productos;

                var productos = tempAdo.GetProductos();
                ViewBag.Catalogo = productos;
            }
            catch (Exception ex)
            {

                throw;
            }
       


            return View(lista);
            //return View("");
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}

RegistroEstudiante.Web/Controllers/LoginController.cs
using RegistroEstudiantes.Data.Context;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace RegistroEstudiante.Web.Controllers
{
    public class LoginController : Controller
    {
        private RegistroEstudiantesContext db;

        public LoginController(RegistroEstudiantesContext db)
        {
            this.db = db;
        }

        // GET: Login
        public ActionResult Index()
        {
            if (Request.IsAuthenticated)
            {
                return RedirectToAction("Index", "Home");
            }

            return View();
        }

        [HttpPost]
        public ActionResult Login(string usuario, string clave)
        {
            var passwordMD5 = ConvertStringtoMD5(clave);

            var usr = db.Usuarios.FirstOrDefault(u => u.NombreDeUsuario == usuario && u.Clave == passwordMD5);

            if (usr != null)
            {
                FormsAuthentication.SetAuthCookie(usuario, false);
                HttpCookie cookie = new HttpCookie("UsuarioId", usr.Id.ToString());
                Response.Cookies.Add(cookie);
                return RedirectToAction("Index", "Home");
            }
            else {
                TempData.Add("Mensaje", "Usuario y/o contrasena invalidos");
            }

            return RedirectToAction("Index");
        }

        [HttpPost]
        public ActionResult CerrarSesion(FormCollection form)
        {
            Request.Cookies.Clear();
            FormsAuthentication.SignOut();

            return RedirectToAction("Index");
        }

        public static string ConvertStringtoMD5(string strword)
        {
            MD5 md5 = MD5.Create();
            byte[] inputBytes = System.Text.Encoding.ASCII.GetBytes(strword);

            byte[] hash = md5.ComputeHash(inputBytes);

            StringBuilder sb = new StringBuilder();
            StringBuilder sb2 = new StringBuilder();
            for (int i = 0; i < hash.Length; i++)
            {
                sb.Append(hash[i].ToString("x2"));
            }
            return sb.ToString();
        }
    }
}

RegistroEstudiante.Web/Controllers/SaludarController.cs
using RegistroEstudiante.Web.Models;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace RegistroEstudiante.Web.Controllers
{
    public class SaludarController : Controller
    {
        // GET: Saludar
        public ActionResult Index()
        {
            var saludarViewModel = new SaludarViewModel();
            saludarViewModel.MensajeSaludo = ConfigurationManager.AppSettings["MensajeSaludo"];

            saludarViewModel.Nombre = HttpContext.Request.QueryString["nombre"];
            saludarViewModel.Apellido = HttpContext.Request.QueryString["apellido"];

            return View(saludarViewModel);
        }
    }
}

RegistroEstudiante.Web/Views/Estudiantes/Create.cshtml
@model RegistroEstudiantes.Data.Estudiante

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>Estudiante</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Nombre, htmlAttributes: new { @class = "control-label col-md-2", style = "color:blue" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Nombre, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Apellidos, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Apellidos, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Apellidos, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.FechaNacimiento, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.FechaNacimiento, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.FechaNacimiento, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Sexo, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownListFor(model => model.Sexo, (List<SelectListItem>)ViewBag.Sexos, new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.Sexo, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section scripts{
    <script type="text/javascript">

        alert("Esta creando un estudiante");

    </script>

    <script src=""></script>

}

@section TituloDePagina{
    <ol class="breadcrumb">
        <li><a href="#">Usted se encuentra creando un estudiante</a></li>
    </ol>
    }

RegistroEstudiante.Web/Views/Estudiantes/Delete.cshtml
@model RegistroEstudiantes.Data.Estudiante

@{
    ViewBag.Title = "Delete";
}

<h2>Delete</h2>

<h3>Esta seguro que desea eliminar este estudiante?</h3>
<div>
    <h4>Estudiante</h4>
    <hr />
    <dl class="dl-horizontal">
        <dt>
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Nombre)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Apellidos)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Apellidos)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FechaNacimiento)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FechaNacimiento)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Edad)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Edad)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Sexo)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Sexo)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Delete" class="btn btn-default" /> |
            @Html.ActionLink("Back to List", "Index")
        </div>
    }
</div>

RegistroEstudiante.Web/Views/Estudiantes/Details.cshtml
@model RegistroEstudiantes.Data.Estudiante

@{
    ViewBag.Title = "Details";
}

<h2>Details</h2>

@*@Html.Partial("_Estudiante", Model)*@

<div>
    <h4>Estudiante</h4>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @Html.DisplayNameFor(model => model.Id)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Id)
        </dd>


        <dt>
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Nombre)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Apellidos)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Apellidos)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.FechaNacimiento)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.FechaNacimiento)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Edad)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Edad)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Sexo)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Sexo)
        </dd>

    </dl>
</div>

<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Index")
</p>

RegistroEstudiante.Web/Views/Estudiantes/Edit.cshtml
@model RegistroEstudiantes.Data.Estudiante

@{
    ViewBag.Title = "Edit";
}

<h2>Edit</h2>

@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
<div class="form-horizontal">
    <h4>Estudiante</h4>
    <hr />
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    @Html.HiddenFor(model => model.Id)

    <div class="form-group">
        @Html.LabelFor(model => model.Nombre, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Nombre, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Nombre, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Apellidos, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.Apellidos, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.Apellidos, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.FechaNacimiento, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.EditorFor(model => model.FechaNacimiento, new { htmlAttributes = new { @class = "form-control" } })
            @Html.ValidationMessageFor(model => model.FechaNacimiento, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        @Html.LabelFor(model => model.Sexo, htmlAttributes: new { @class = "control-label col-md-2" })
        <div class="col-md-10">
            @Html.DropDownListFor(model => model.Sexo, (List<SelectListItem>)ViewBag.Sexos, new { @class = "form-control" })
            @Html.ValidationMessageFor(model => model.Sexo, "", new { @class = "text-danger" })
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Save" class="btn btn-default" />
        </div>
    </div>
</div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

RegistroEstudiante.Web/Views/Estudiantes/EstudianteNoEncontrado.cshtml
@{
    ViewBag.Title = "EstudianteNoEncontrado";
}

<h2>Lo sentidos, No se encontro este estudiante</h2>

RegistroEstudiante.Web/Views/Estudiantes/Index.cshtml
@model IEnumerable<RegistroEstudiantes.Data.Estudiante>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")

</p>

@*<table class="table">
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Nombre)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Apellidos)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FechaNacimiento)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Edad)
            </th>
            <th></th>
        </tr>

    @foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Nombre)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Apellidos)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FechaNacimiento)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Edad)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id=item.Id }) |
                @Html.ActionLink("Details", "Details", new { id=item.Id }) |
                @Html.ActionLink("Delete", "Delete", new { id=item.Id })
            </td>
        </tr>
    }

    </table>*@

@foreach (var item in Model)
{
    @Html.Partial("_Estudiante", item);
}

RegistroEstudiante.Web/Views/Home/About.cshtml
@{
    ViewBag.Title = "About";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<p>Use this area to provide additional information.</p>

RegistroEstudiante.Web/Views/Home/Contact.cshtml
@{
    ViewBag.Title = "Contact";
}
<h2>@ViewBag.Title.</h2>
<h3>@ViewBag.Message</h3>

<address>
    One Microsoft Way<br />
    Redmond, WA 98052-6399<br />
    <abbr title="Phone">P:</abbr>
    425.555.0100
</address>

<address>
    <strong>Support:</strong>   <a href="mailto:Support@example.com">Support@example.com</a><br />
    <strong>Marketing:</strong> <a href="mailto:Marketing@example.com">Marketing@example.com</a>
</address>

RegistroEstudiante.Web/Views/Home/Index.cshtml
@model IEnumerable<RegistroEstudiantes.Data.Estudiante>
@{
    ViewBag.Title = "Home Page";
     Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="jumbotron">
    <h1>Diplomado ASP.NET con MVC</h1>


    <br />
    Hay @Model.Count() estudiantes registrados

    @{
        <br />
        <span>aqui quiero html @Model.Count() </span>

        <br />
        var x = "Juan Santi";

        <br />

        <label>@x</label>

    }


</div>

<div>

    <table class="table table-striped">
        <thead>
            <tr>
                <td>Nombre
                </td>
                <td>Precio
                </td>
                <td>
                    Categoria
                </td>
            </tr>
        </thead>
        <tbody>

            @foreach (var item in (List<RegistroEstudiantes.Data.Context.Catalogo>)ViewBag.Catalogo)
            {
                <tr>
                    <td>@item.Nombre</td>
                    <td>@item.Precio</td>
                    <td>@item.Categoria</td>
                </tr>
            }


        </tbody>

    </table>

</div>

RegistroEstudiante.Web/Views/Login/Index.cshtml
@{
    Layout = "";
}

@if (TempData["Mensaje"] != null)
{
    <div class="alert alert-danger" role="alert">@TempData["Mensaje"]</div>
}

<div class="container">
    <form class="form-horizontal" action="Login/Login" method="post">
        <div class="form-group">
            <label for="inputEmail3" class="col-sm-2 control-label">Usuario</label>
            <div class="col-sm-10">
                <input name="usuario" type="text" class="form-control" id="inputEmail3" placeholder="usuario con el que esta registrado en el sistema">
            </div>
        </div>
        <div class="form-group">
            <label for="inputPassword3" class="col-sm-2 control-label">Clave</label>
            <div class="col-sm-10">
                <input name="clave" type="password" class="form-control" id="inputPassword3" placeholder="clave de acceso">
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <div class="checkbox">
                    <label>
                        <input type="checkbox"> Remember me
                    </label>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="col-sm-offset-2 col-sm-10">
                <button type="submit" class="btn btn-default">Iniciar Sesion</button>
            </div>
        </div>
    </form>

</div>



@Styles.Render("~/Content/css")

RegistroEstudiante.Web/Views/Saludar/Index.cshtml
@model RegistroEstudiante.Web.Models.SaludarViewModel
@{
    ViewBag.Title = "Index";
}

<h2> @Model.MensajeSaludo @Model.Nombre </h2>


<h1> @Model.Apellido </h1>

RegistroEstudiante.Web/Views/Shared/_Estudiante.cshtml
@model RegistroEstudiantes.Data.Estudiante


    <div class="panel panel-default">
        <div class="panel-heading">
            Nombre: @Model.Nombre, Apellido: @Model.Apellidos, Edad: @Model.Edad
        </div>
        <div class="panel-body">
            @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
            @Html.ActionLink("Details", "Details", new { id = Model.Id }) |
            @Html.ActionLink("Delete", "Delete", new { id = Model.Id })
        </div>
    </div>

RegistroEstudiante.Web/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>@ViewBag.Title - My ASP.NET Application</title>
    @Styles.Render("~/Content/css")
    @Scripts.Render("~/bundles/modernizr")
    <link rel="stylesheet" href="" />
</head>
<body>
    <div class="navbar navbar-inverse navbar-fixed-top">
        <div class="container">
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                @Html.ActionLink("Application name", "Index", "Home", new { area = "" }, new { @class = "navbar-brand" })
            </div>
            <div class="navbar-collapse collapse">
                <ul class="nav navbar-nav">
                    <li>@Html.ActionLink("Home", "Index", "Home")</li>
                    <li>@Html.ActionLink("About", "About", "Home")</li>
                    <li>@Html.ActionLink("Contact", "Contact", "Home")</li>
                    <li>@Html.ActionLink("Lista de Estudiantes", "Index", "Estudiantes")</li>
                </ul>
            </div>
            <div class="navbar-collapse">
                <form action="Login/CerrarSesion" method="post">
                    <div class="dropdown">
                        <button class="btn btn-default dropdown-toggle" type="button" id="dropdownMenu1" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                            @User.Identity.Name - @Request.Cookies["UsuarioId"].Value
                            <span class="caret"></span>
                        </button>
                        <ul class="dropdown-menu" aria-labelledby="dropdownMenu1">
                            <li>
                                <input type="submit" style="border:none;background-color:transparent" value="Cerrar Sesion" />
                            </li>
                        </ul>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="container body-content">

        @if (TempData["Mensaje"] != null)
        {
         
            <div class="alert alert-warning" role="alert">@TempData["Mensaje"]</div>
        }

        @RenderSection("TituloDePagina", required: false)

        @RenderBody()
        <hr />
        <footer>
            <p>&copy; @DateTime.Now.Year - My ASP.NET Application</p>
        </footer>
    </div>

    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/bootstrap")
    
    @RenderSection("scripts", required: false)
</body>
</html>